
<VirtualHost *:443>
  ServerName portal.promicon.es
  ServerAlias portal.promicon.es


  DocumentRoot /var/www/html/promicon/
  ErrorLog ${APACHE_LOG_DIR}/portal.promicon.es-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.promicon.es-access.log combined


  <Directory "/var/www/html/promicon/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/promicon/private/.htpasswd
        Require valid-user
        AllowOverride All
  </Directory>



  SSLEngine On

  # Other Apache Configuration

  Include /etc/letsencrypt/options-ssl-apache.conf

ServerAlias portal.promicon.es

SSLCertificateFile /etc/letsencrypt/live/portal.promicon.es/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.promicon.es/privkey.pem
</VirtualHost>
